Subject: Re: forcing an in-body From header

From: Junio C Hamano <[email-masked]>
Date: Fri, 26 Aug 2022 10:20:45 -0700

Konstantin Ryabitsev <[email-masked]> writes:

> I agree that it's a nice feature to have, though I would put this into the
> sendemail config instead of using an env variable, something like:
>
>     [sendemail]
>       in-body-headers = From

A change only for send-email does sound quite attractive.

I encourage folks to run format-patch first, make amends as needed
in the output files, proofread the result once again, all before
finally handing it to send-email for sending out.  If a "force
in-body headers" command line option plus a configuration variable
added to "git send-email" would work for them, I would be OK with
such a change.

There may be folks who do not use "git send-email" to send out their
patches, and a change to "git format-patch" may help them, though.

Thanks.